#!/bin/bash

#----- setup

. ./bin/setup.sh

#----- user questions (developers: edit this part)

ASK_LANGUAGE=1	# ask for dialog language
ASK_MSGLANG=1	# ask for game message language
ASK_ISOMODE=1	# ask for image output format
ASK_SPLITISO=0	# ask for splitting images
ASK_SAVEGAME=1	# ask for alternate savegame
#
ENABLE_RIIV=1	# Mode of Riivolution support
		#   0: disabled
		#   1: MKWii: full patch mode, original image needed
		#   2: MKWii: replace file only distribution
		#   3: Any game: auto create a riivolution setup
		#   4: Any game: use ./riivolution.xml as control file
		#	and PATCH/files/... as data base. Both will be copied
		#	and renamemd to the 'riiv-sd-card' directory.
		#   5: Setup like mode #4 and call script "./riivolution.sh NAME"
		#	to create the riivolution pack.

ask_config	# execute query

#----- more setup

config_options
. ./bin/options.sh "${CFG_OPT[@]}" "$@"
workdir=./patch-dir

#----- patching jobs (developers: edit this part)

. param.sh

title="$REV_TITLE"
[[ $REV_VERSION = "" ]] || title="$REV_TITLE.$REV_VERSION"

# job source_id dest_id "title" patch_file
job RMCP01 "RMCP${REV_SUBID}" "$title.pal" patch.tar || exit 1
job RMCE01 "RMCE${REV_SUBID}" "$title.usa" patch.tar || exit 1
job RMCJ01 "RMCJ${REV_SUBID}" "$title.jap" patch.tar || exit 1

#----- termination status

printlog "$T_LOG_DONE_COUNT" "$done_count" "$mode"
exit 0
