#!/bin/bash
# (c) wiimm (at) wiimm.de -- 2013-10-01

FAST=
[[ $WSZST_FAST = 1 || $1 == --fast ]] && FAST=--fast

echo " * Patch MKW-Fun-100 $FAST"

#
#------------------------------------------------------------------------------
# setup

LANG="eu us jp"

SRCDIR=./ctcode
TEMP="$SRCDIR/ui.tmp"
ICONFILE="$SRCDIR/ct_icons.tpl"
UI=./files/Scene/UI
CACHE=./cache

rm -rf "$TEMP"
mkdir -p "$TEMP"

ALL_LIST="Award Channel Event Globe MenuMulti MenuOther MenuSingle Present Race Title"
PATCH_FILE="Channel MenuMulti MenuSingle"

PATCH_ADD='
	button/timg/ct_icons.tpl
	control/timg/ct_icons.tpl
'

PATCH_MODIFY='
	button/blyt/cup_icon_64x64_common.brlyt
	button/ctrl/Back.brctr
	button/ctrl/CupSelectCup.brctr
	control/blyt/cup_icon_64x64_common.brlyt
	control/ctrl/CourseSelectCup.brctr
'

[[ -d $SRCDIR ]] || exit 0

#
#------------------------------------------------------------------------------
# patch menu files

echo "    - Patch 10 menu files"

c_count=0
p_count=0
for file in $ALL_LIST
do
    if [[ -f "$CACHE/$file.szs" ]]
    then
	#echo "copy cache: $file.szs"
	let c_count++
	ln -f "$CACHE/$file.szs" "$UI/$file.szs"
    else
	#echo "modify: $file.szs"
	let p_count++
	wszst extract -q "$UI/$file.szs" -od "$TEMP/$file.d"

	for mod in $PATCH_MODIFY
	do
	    dest="$TEMP/$file.d/$mod"
	    if [[ -f $dest ]]
	    then
		#echo "    - modify $dest"
		cp -p "$SRCDIR/${mod##*/}" "$dest"
	    fi
	done
    fi
done

for file in $PATCH_FILE
do
    for add in $PATCH_ADD
    do
	#echo "    - add    $TEMP/$file.d/$add"
	[[ -d "$TEMP/$file.d" ]] && cp -p "$ICONFILE" "$TEMP/$file.d/$add"
    done
done

((p_count)) && wszst create -q $FAST "$TEMP"/*.d -rod "$UI/"
((c_count)) && printf "       - %u files copied from cache\n" $c_count

#
#------------------------------------------------------------------------------
# patch main.dol

echo "    - Patch main.dol"

wstrt patch -qr --add-ctcode sys/main.dol
if [[ $riivmode != "" ]] && (( riivmode > 0 ))
then
    mkdir -p files/sys
    ln -f sys/main.dol files/sys
fi

#
#------------------------------------------------------------------------------
# term

true

